%bcond_with      texlive

Summary:         An unwinding library
Name:            libunwind
Version:         1.6.2
Release:         9%{?dist}
License:         BSD
URL:             http://savannah.nongnu.org/projects/libunwind
Source:          http://download-mirror.savannah.gnu.org/releases/libunwind/libunwind-%{version}.tar.gz

Patch0001:       libunwind-1.6.2-dynamic-page-size.patch
Patch5000:	     0001-Add-port-for-Linux-on-LoongArch.patch

BuildRequires:   automake libtool autoconf make
%if %{with texlive}
BuildRequires:   texlive-latex2man
%endif

ExclusiveArch:   aarch64 ppc64le x86_64 loongarch64

%description
This package provides a C ABI to determine the call-chain of a program.

%package         devel
Summary:         Development package for libunwind
Requires:        libunwind = %{version}-%{release}

%description     devel
This package provides includes the libraries and header files for libunwind.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%global optflags %{optflags} -fcommon
aclocal
libtoolize -f
autoheader
automake -a
autoconf
%configure \
    --enable-static \
    --enable-shared \
    --enable-setjmp=no \
%if %{without texlive}
    --disable-documentation \
%endif
    %{nil}
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

mv -f %{buildroot}%{_libdir}/libunwind-ptrace.a %{buildroot}%{_libdir}/libunwind-ptrace.a-save
rm -f %{buildroot}%{_libdir}/libunwind*.a
mv -f %{buildroot}%{_libdir}/libunwind-ptrace.a-save %{buildroot}%{_libdir}/libunwind-ptrace.a
rm -f %{buildroot}%{_libdir}/libunwind-ptrace*.so*

%check
make check || true

%files
%license COPYING
%doc README NEWS
%{_libdir}/libunwind*.so.*

%files devel
%{_libdir}/libunwind*.so
%{_libdir}/libunwind-ptrace.a
%{_libdir}/pkgconfig/libunwind*.pc
%{_includedir}/unwind.h
%{_includedir}/libunwind*.h
%if %{with texlive}
%{_mandir}/*/*
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-9
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-8
- Rebuilt for loongarch release

* Tue Mar 26 2024 Huang Yang <huangyang@loongson.cn> - 1.6.2-7
- add loongarch64 support

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-4
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 1.6.2-3
- remove unused buildrequires

* Wed Nov 9 2022 Shuo Wang <abushwang@tencent.com> - 1.6.2-2
- backport patch to fix page_size bug

* Wed Sep 21 2022 Shuo Wang <abushwang@tencent.com> - 1.6.2-1
- initial build
